Name:		dejagnu
Version:	1.6
Release:	%mkrel 1
Epoch:		20010912
Summary:	A front end for testing other programs
License:	GPLv2+
URL:		http://www.gnu.org/software/dejagnu/
Source0:	ftp://ftp.gnu.org/gnu/dejagnu/%{name}-%{version}.tar.gz
Patch1:		dejagnu-1.5-runtest.patch
Group:		Development/Other
Requires:	common-licenses, tcl >= 8.0, expect >= 5.21
Requires(post):	info-install
Requires(postun):	info-install
BuildRequires:	docbook-utils
BuildRequires:	docbook-utils-pdf
BuildRequires:	docbook-dtd31-sgml
# in contrib, but likely not needed anyways even if configure checks for it..
#BuildRequires:	docbook2x
BuildRequires:	expect
BuildRequires:	screen
BuildRequires:	texinfo
BuildArch:	noarch

%description
DejaGnu is an Expect/Tcl based framework for testing other programs.
DejaGnu has several purposes: to make it easy to write tests for any
program; to allow you to write tests which will be portable to any
host or target where a program must be tested; and to standardize the
output format of all tests (making it easier to integrate the testing
into software development).

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x

%install
%make_install

%check
echo ============TESTING===============
# Dejagnu test suite also has to test reporting to user.  It needs a
# terminal for that.  That doesn't compute in mock.  Work around it by
# running the test under screen and communicating back to test runner
# via temporary file.  If you have better idea, we accept patches.
TMP=`mktemp`
screen -D -m sh -c '(make check RUNTESTFLAGS="RUNTEST=`pwd`/runtest"; echo $?) >> '$TMP
RESULT=`tail -n 1 $TMP`
cat $TMP
rm -f $TMP
echo ============END TESTING===========
exit $RESULT

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files
%doc AUTHORS NEWS README TODO
%dir %{_datadir}/dejagnu
%{_datadir}/dejagnu/*
%{_bindir}/runtest
%{_mandir}/man1/runtest.1*
%{_infodir}/dejagnu.info*
%{_includedir}/dejagnu.h




%changelog
* Sat May 28 2016 yuri_myasoedov <yuri_myasoedov> 20010912:1.6-1.mga6
+ Revision: 1019088
- update to version 1.6.

* Thu Feb 18 2016 umeabot <umeabot> 20010912:1.5.3-2.mga6
+ Revision: 965812
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 shlomif <shlomif> 20010912:1.5.3-1.mga6
+ Revision: 837981
- New version 1.5.3

* Wed Oct 15 2014 umeabot <umeabot> 20010912:1.5.1-4.mga5
+ Revision: 742746
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20010912:1.5.1-3.mga5
+ Revision: 678708
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 20010912:1.5.1-2.mga4
+ Revision: 523732
- Mageia 4 Mass Rebuild

* Fri May 24 2013 shlomif <shlomif> 20010912:1.5.1-1.mga4
+ Revision: 426527
- New version 1.5.1

* Fri Jan 11 2013 umeabot <umeabot> 20010912:1.5-3.mga3
+ Revision: 348719
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 04 2012 guillomovitch <guillomovitch> 20010912:1.5-2.mga3
+ Revision: 288167
- add fedora patch for usrmove

* Fri Sep 09 2011 tv <tv> 20010912:1.5-1.mga2
+ Revision: 141782
- new release
- simplify

* Tue Jan 11 2011 pterjan <pterjan> 20010912:1.4.4-12.mga1
+ Revision: 6190
- imported package dejagnu

